Class | Prawn::Document::LazyBoundingBox
In: | lib/prawn/layout/page.rb
Parent: | BoundingBox

### Methods

action draw

### Public Instance methods

action(&block)

Defines the block to be executed by LazyBoundingBox#draw. Usually, this will be used via a higher level interface. See the documentation for Document#lazy_bounding_box, Document#header, and Document#footer

draw()

Sets Document#bounds to use the LazyBoundingBox for its bounds, runs the block specified by LazyBoundingBox#action, and then restores the original bounds of the document.

[Validate]